
Hammer CLI - Bug #4119

need way to pass headers with command call

01/17/2014 05:36 PM - Thomas McKay

Status: Closed   

Priority: High   

Assignee: Thomas McKay   

Category: Hammer core   

Target version: 1.9.2   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request:  Red Hat JIRA:  

Team Backlog:    

Description

While writing "hammer subscription import --file manifest.zip" for katello, I discovered that there were several issues associated with

sending a binary file with an api request. Pull-requests to follow shortly.

Associated revisions

Revision 480df0eb - 01/17/2014 05:39 PM - Thomas McKay

refs #4119 - hammer-manifest - add headers to call method

Revision 27ab9860 - 01/17/2014 05:51 PM - Thomas McKay

refs #4119 - hammer-manifest - do not convert params to_json since this prevents passing File objects to POST

Revision 4f0d3212 - 01/20/2014 10:48 AM - Tomáš Strachota

Merge pull request #69 from thomasmckay/hammer-manifest

refs #4119 - hammer-manifest - add headers to call method

Revision 9deebd7c - 01/20/2014 02:36 PM - Thomas McKay

refs #4119 - hammer-manifest - add request_headers method to allow exteners of WriteCommand to override and pass

refs #4119 - hammer-manifest - updated tests to handle optional headers

Revision 1d722f34 - 01/21/2014 10:11 AM - Tomas Strachota 

Merge pull request #71 from thomasmckay/hammer-manifest

refs #4119 - hammer-manifest - add request_headers method to allow exten...

Revision c24a3420 - 01/23/2014 01:53 PM - mbacovsky 

Merge pull request #22 from thomasmckay/hammer-manifest

refs #4119 - hammer-manifest - do not convert params to_json since this ...

Revision 5b659f07 - 01/24/2014 02:54 PM - Martin Bacovsky

refs #4119 - hammer-manifest - revert the fix as it breaks stuff

History

#1 - 01/17/2014 05:58 PM - Thomas McKay

https://github.com/theforeman/foreman_api/pull/22

https://github.com/Katello/katello_api/pull/20

https://github.com/theforeman/hammer-cli-katello/pull/25

https://github.com/theforeman/hammer-cli-foreman/pull/71

https://github.com/theforeman/hammer-cli/pull/69

https://github.com/Katello/katello/pull/3580
#2 - 01/20/2014 12:37 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#3 - 01/22/2014 02:30 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

#4 - 02/05/2014 12:38 PM - Tomáš Strachota

- Status changed from Ready For Testing to Closed
